ошибка при загрузки скрипта StockSharp.Quik.lua в терминал Quick
Atom Ответить
10.09.2019


Всем добрый день,

Пытаюсь подключиться гидрой к терминалу Quick версии 8.0. на windows 10 64-bit. Когда загружаю скрипт StockSharp.Quik.lua в в терминал Quick у меня выходит сообщение:

error loading module 'StockSharp' from file 'C:\StockSharp_4.4.16_ru\References\StockSharp.QuikLua.dll':
%1 не является приложением Win32.

Далее если хочу подключиться к к терминалу Quick версии 7.0. на windows 10 32-bit, тогда при загрузки скрипта StockSharp.Quik.lua у меня выходит сообщение об ошибке:

error loading module 'StockSharp' from file 'C:\Users\roman\Desktop\Hydra\StockSharp.QuikLua.dll':
Не найден указанный модуль.

Сам файл StockSharp.QuikLua.dll лежит у меня в той папке откуда, я запускаю гидру.

Установлены Visual C++ 2015-2019

Может кто сталкивался с такой проблемой подскажите плиз как решили?




Спасибо:




11 Ответов
JohnRisker

Фотография
Курсы Благотворитель
Дата: 18.11.2019
Ответить


Столкнулся с такой же ошибкой. Кто-то может подсказать в чем дело?
Спасибо:

JohnRisker

Фотография
Курсы Благотворитель
Дата: 18.11.2019
Ответить


Если кому интересно: скачал "ночную сборку" вместо последней версии с GitHub и все заработало
Спасибо:

zenp

Фотография
Дата: 20.04.2020
Ответить


Что за ночная сборка?
Спасибо:

DaTo

Фотография
Курсы
Дата: 23.04.2020
Ответить


и где их качать?

у меня 4.4.16 с 7м квиком срослось. квик принял скрипт.
Спасибо:

ring1010

Фотография
Дата: 24.04.2020
Ответить


Такое впечатление, что разработчики намеренно этот файл StockSharp.QuikLua.dll не положили в загрузку. Чтобы пользователи помучались и бросили. Злость берет. Плохие словами хочется употребить!! Его еще надо скачивать загрузив всю сборку из Nuget. А он все равно не нерабочий Почему при установке Терминала или Дизайнера это не сделать!
Спасибо: Алексей

Алексей

Фотография
Благотворитель
Дата: 24.04.2020
Ответить


ring1010 Перейти
Такое впечатление, что разработчики намеренно этот файл StockSharp.QuikLua.dll не положили в загрузку. Чтобы пользователи помучались и бросили. Злость берет. Плохие словами хочется употребить!! Его еще надо скачивать загрузив всю сборку из Nuget. А он все равно не нерабочий Почему при установке Терминала или Дизайнера это не сделать!


Сам убил на это не один день, похоже надо пробовать с помощью утилиты NugetInstaller https://stocksharp.ru/ne...o-nuget/#nugetinstaller
Не забудьте создать Documents\UserName\StockSharp\
Спасибо:

ring1010

Фотография
Дата: 24.04.2020
Ответить


Этот #nugetinstaller по платной подписке, не дает скачивать. Аксес денаед!! В общем иллюзия бесплатности. Потрать кучу времени и получи ничего. Зачем было объявлять бесплатно.Лучше бы честно выставили бы оплату. И люди само определились бы. ((((
Спасибо:

ring1010

Фотография
Дата: 24.04.2020
Ответить


Пришлось 7 версию Квика и 4.4.16 запустился скрипт
Спасибо:

DaTo

Фотография
Курсы
Дата: 25.04.2020
Ответить


квик 8 не воспринял скрипт луа из stocksharp.quicklua версии 5.0.6.
скажите, когда будет исправление?
Спасибо:

Kingrai

Фотография
Дата: 14.05.2020
Ответить


1. В VS устанавливаем с помощью NuGet пакеты StockSharp.Quik и StockSharp.QuikLua
2. путь проекта\packages\StockSharp.QuikLua.5.0.11\contentFiles\any\any - здесь находится скрипт StockSharp.QuikLua
3. В эту папку необходимо забросить все dll StockSharp подключенные к проекту. Я просто скомпилировал проект и из папки bin/debug скопировал все dll.
Спасибо:

Marat

Фотография
Дата: 14.05.2020
Ответить


Для удобства установки вы можете воспользоваться утилитой NugetInstaller, расположенной на нашем сайте.
Приятного пользования.
Спасибо:


Добавить файлы через драг-н-дроп, , или вставить из буфера обмена.

loading
clippy